@font-face {
    font-family: mikhak;
    src: url(../fonts/Mikhak.woff2);
}
:root{
    --primary-100:#3F51B5;
    --primary-200:#757de8;
    --primary-300:#dedeff;
    --accent-100:#2196F3;
    --accent-200:#003f8f;
    --text-100:#333333;
    --text-200:#5c5c5c;
    --bg-100:#FFFFFF;
    --bg-200:#f5f5F5;
    --bg-300:#cccccc;
    --bg-400:#fff;
    --bg-500:#afd3e2;
    --h1-100:rgb(60, 60, 60);
    --h1-200:rgb(95, 94, 94);
    --body-100:#111;
    --border-100:#bfc1c6;
    --border-200:#257180;
}
*{
    box-sizing: border-box;
}
body{
    font-family: mikhak;
    background-color: var(--bg-500);
    color: var(--body-100);
}
body,html{
    scroll-behavior: smooth;
}
h1{
    text-shadow: 1px 1px 0px var(--h1-200), 2px 2px 0px var(--text-200);
    text-align: center;
    color: var(--h1-100);

}
a{
    text-decoration: none;
    color: var(--body-100);
}
#logo{
    margin: 0 auto;
    width: 150px;
    display: block;
    position: relative;
    animation: logoplay 2s ease-out forwards;
}
#up{
    font-family: mikhak;
    position: fixed;
    inset-inline-end: 20px;
    inset-block-end: 20px;
    border: 2px solid black;
    padding: 2px 4px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    opacity: 0.5;
    z-index: 1000
}
#up:hover{
    background-color: #afd3e2;
    opacity: 1;
}



/* website structure */
main{
    display: grid;
    grid-template-columns: 200px auto;
    grid-auto-rows: 66px auto 85px;
    grid-template-areas: 
    'header header'
    'aside article'
    'footer footer'
    ;
    gap: 10px;
    width: 950px;
    min-height: 750px;
    margin: 0 auto;
    padding: 10px;
}
aside,article,footer{
    background-color: var(--bg-200);
    border-radius: 20px;
    border: 1px solid var(--border-100);
}
header{
    grid-area: header;
    background-color: var(--bg-100);
    border-radius: 20px;
    border: 1px solid var(--border-100);
}
aside{
    grid-area: aside;
}
article{
    grid-area: article;
}
footer{
    grid-area: footer;
    direction: ltr;
    text-align: center;
}



/* gallery */
#gallery{
    text-align: center;
}
#gallery img{
    margin: 5px;
    transition: 0.4s;
    width: 200px;
    aspect-ratio: 1;
    object-fit: cover;
}
#gallery img:hover{
    transform: scale(1.1);
}



/* animation */
@keyframes logoplay {
    0% {
        transform: translateX(55%) scale(1);
        opacity: 0;
    }

    100% {
        transform: translateX(0%) scale(1);
        opacity: 1;
    }
}



/* tablet */
@media screen and (max-width: 1024px)
{
    main{
        width: 100%;
    }
    #nav{
        display: none;
    }
    #main-menu{
        display: block;
    }
}



/* mobile */
@media screen and (max-width: 500px)
{
    main{
        grid-template-columns: auto;
        grid-template-rows: auto auto auto auto;
        grid-template-areas: 
        'header'
        'aside'
        'article'
        'footer'
        ;
    }
    #logo{
        width: 50%;
    }
}



/* bootstrap customization */
.mt-6 {
  margin-top: 3.5rem !important;
}